---
title: counter-increment
slug: Web/CSS/counter-increment
tags:
  - CSS
  - CSS Counter
  - CSS Lists
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>counter-increment</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property increases or decreases the value of a <a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">CSS counter</a> by a given value.</p>

<div>{{EmbedInteractiveExample("pages/css/counter-increment.html")}}</div>

<div class="note">
<p><strong>Note:</strong> The counter's value can be reset to an arbitrary number using the {{cssxref("counter-reset")}} CSS property.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Increment "my-counter" by 1 */
counter-increment: my-counter;

/* Decrement "my-counter" by 1 */
counter-increment: my-counter -1;

/* Increment "counter1" by 1, and decrement "counter2" by 4 */
counter-increment: counter1 counter2 -4;

/* Do not increment/decrement anything: used to override less specific rules */
counter-increment: none;

/* Global values */
counter-increment: inherit;
counter-increment: initial;
counter-increment: unset;
</pre>

<p>The <code>counter-increment</code> property is specified as either one of the following:</p>

<ul>
 <li>A <code>&lt;custom-ident&gt;</code> naming the counter, followed optionally by an <code>&lt;integer&gt;</code>. You may specify as many counters to increment as you want, with each name or name-number pair separated by a space.</li>
 <li>The keyword value <code>none</code>.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;custom-ident&gt;")}}</dt>
 <dd>The name of the counter to increment.</dd>
 <dt>{{cssxref("&lt;integer&gt;")}}</dt>
 <dd>The value to add to the counter. Defaults to <code>1</code> if not specified.</dd>
 <dt><code>none</code></dt>
 <dd>No counter must be incremented. This is used as the default value, or to cancel an increment in more specific rules.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Incrementing_named_counters">Incrementing named counters</h3>

<pre class="brush: css notranslate">h1 {
  counter-increment: chapter section 2 page;
  /* Increases the value of the chapter and page counters by 1,
     and the section counter by 2 */
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Lists", "#propdef-counter-increment", "counter-increment")}}</td>
   <td>{{Spec2("CSS3 Lists")}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "generate.html#propdef-counter-increment", "counter-increment")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.counter-increment")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">Using CSS Counters</a></li>
 <li>{{cssxref("counter-reset")}}</li>
 <li>{{cssxref("counter-set")}}</li>
 <li>{{cssxref("@counter-style")}}</li>
 <li>The {{cssxref("counter")}} and {{cssxref("counters")}} functions</li>
</ul>
